Package net.shibboleth.idp.plugin.authn.webauthn.admin

# Interface RegistrationResult.ICredentialStage

All Known Implementing Classes:
  `RegistrationResult.Builder`

Enclosing class:
  RegistrationResult

public static interface RegistrationResult.ICredentialStage
Builder stage.

## Method Summary

Modifier and Type
Method
Description
`RegistrationResult.IBuildStage`
`withCredential(com.yubico.webauthn.data.PublicKeyCredential<com.yubico.webauthn.data.AuthenticatorAttestationResponse,com.yubico.webauthn.data.ClientRegistrationExtensionOutputs> credential)`
Set the public key credential attestation response.

## Method Details

### withCredential

RegistrationResult.IBuildStage withCredential(@Nonnull com.yubico.webauthn.data.PublicKeyCredential<com.yubico.webauthn.data.AuthenticatorAttestationResponse,com.yubico.webauthn.data.ClientRegistrationExtensionOutputs> credential)
Set the public key credential attestation response.

Parameters:
  `credential` - the attestation response
Returns:
  this builder